/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */


/*面板背景模糊*/
.ct-drawer-canvas .ct-panel{
	backdrop-filter: blur(5px);
}

/*覆蓋主題寬度*/
.ct-container, .ct-container-narrow {
    width: calc(100% - var(--custom-container-margin)*2) !important;
	--custom-container-margin: 40px;
}
@media (max-width: 767px) {
	.ct-container, .ct-container-narrow{
		--custom-container-margin: 20px;
	}
}

/*search*/
.ct-header-search.ct-toggle{
	padding: .5em !important;
    background-color: #fff !important;
    border-radius: 50% !important;
	min-height: 34px;
	min-width: 34px;
}
.ct-header-search.ct-toggle:hover{
    background-color: var(--theme-palette-color-2) !important;
}
#search-modal .ct-search-form-inner.ct-pseudo-input{
	background-color: rgba(255,255,255,0.85);
}



/*sidebar 元件*/
@media(min-width:1025px){
	article.status-publish .sidebar-container{
		display:none;
	}
	.ct-sidebar .sidebar-container{
		padding: 0;
	}
}
/*標題行距*/
h1.elementor-heading-title, h2.elementor-heading-title, h3.elementor-heading-title,
 h4.elementor-heading-title, p.elementor-heading-title, span.elementor-heading-title{
	line-height:var(--theme-line-height);
}
/*斷行*/
.word-break h1, .word-break h2, .word-break h3, .word-break p, .word-break span, .word-break .elementor-widget-container, .word-break{
	word-break: keep-all;
}
/*Elementor icon高度修復*/
.elementor-icon-wrapper .elementor-icon{
	display:block;
}
/*hight-light weight*/
b, strong {
    font-weight: bolder !important;
}
strong {
	color: var(--theme-palette-color-2);
}

/*cards gap*/
[data-layout*=grid].entries {
    --grid-columns-gap: 2.5em;
}
@media(min-width: 690px){
	[data-layout*=grid].entries{
		grid-row-gap: 4em;
	}
}
.entries [data-elementor-type=wp-post]{
	height:100%;
}
/*pagination*/
[data-pagination=simple].ct-pagination .page-numbers.current, [data-pagination=next_prev].ct-pagination .page-numbers.current {
    background: none;
	color: var(--theme-palette-color-2);
}
[data-pagination=simple].ct-pagination .page-numbers, [data-pagination=next_prev].ct-pagination .page-numbers{
	border: none !important;
}
[data-pagination=simple].ct-pagination .page-numbers:hover, [data-pagination=next_prev].ct-pagination .page-numbers:hover{
	color: var(--theme-palette-color-2);
}
/*filter*/
.ct-dynamic-filter {
	width: fit-content;
    padding: 1em 2em;
    background-color: var(--theme-palette-color-1);
    border-radius: 50px;
}
@media(min-width:768px){
	.ct-dynamic-filter{
		margin-left: -5px;
	}
}
/*archive hero*/
.ct-elementor-default-template .e-con.archive-hero>.e-con-inner {
	width: 100%;
}
/*card*/
.card-tag .jet-listing.jet-listing-dynamic-terms{
    display: flex;
    gap: .5em;
    flex-wrap: wrap;
}